[Search tip detail and code files using keywords, tip number, author name, etc ]
 
Add Text to Dimensions
Tip# 3153 By Alex Enoch On 01-Mar-2009
3
Rated By 1 users
Categories : Edit Dimension
Software type : AutoCAD
Rename File To : No Files to download.
Add some extra text in your dims and still keep the actual dimension without manual editing.

Here's a tip most people don’t know for AutoCAD. When you want to add some extra text in your dims and still keep the actual dimension without manual editing it, Use <> to keep the original text. This will keep the dimension number whatever it may be and it changes if you change the dimension, too. So you never have to manually edit the dimension. Also another tip: if you ever want to add a second line to your dimension, use   P   with your text immediately following (no space). The P must be capitalized.  For example, say you want to have the dimension say +/- 10" (typ.),
just type +/- <>P(typ.)  Try it.
 
NOTES FROM CADALYST TIP PATROL:  Good tip and I agree, many probably don’t know about it.  This tip applies to associated dimensions through the property palette.  Select the dimension, open the property palette, go to the text tab, then to the Text Override field.  To keep the rue dimension value, type in <> (a less-than sign and then a greater-than sign with no spaces).  This is also a quick way to restore the true value to an edited dimension.  The P is the same as hitting the RETURN key in a text editor.  If you don’t want to use the Properties Palette, then type on the command line DDEDIT (or just ED) and select the dimension text you want to change.  Typing in <> will cause the text to give the true dimension value just like it does in the Properties Palette.  Of course P doesn’t work in the text editor; use the enter key.  Good tip showing an alternate way of doing things.
Tested in AutoCAD 2009
 

 

Average Rating:
3


User comments
Comment by calos,Gabriel
Posted on 2009-03-02 19:08:22
I can not do it work th P to write in other line
Comment by StJohn,John
Posted on 2009-03-02 21:43:54
Try P if P doesn't work. That's the way I learned it. Also, try X (you need the back slash this time). It will place anything you type after it below the dimension line. I discovered these tricks in a CAD drawing that was started by someone else.
Comment by StJohn,John
Posted on 2009-03-03 00:41:43
I see that my previous comment did not print the back slashes which makes my comment confusing. I suggested that is P doesn't work, try backslash P (no spaces). I also suggested trying backslash X which places anything typed after it below the dimension line. I would also like to add that these can be used in tandem and in the case of P multiple times. For instance, you could use P twice to place three lines above the dimension line and then a back slash X followed by some text and a P with text to place an additional two lines below the dimension line. This is very useful to fit a lot of text between the extension lines.
Comment by Azbell,Nicholas
Posted on 2009-03-12 14:34:31
I always suggest using Dimension Prefixes and Suffixes rather than doing an Override which simply restates the dimension string with <>. Overrides should be used for text only. This way you can also use Match Properties to send the Prefix and Suffix text to as many dimensions as you want. Match Properties does not work with Overrides. The Prefix and Suffix lines can be found just below the Override line in the Dimension Properties under Primary Units.
Comment by ,
Posted on 2010-10-25 14:45:34
It also works from within the command itself or while using VB statements. '******* Command Line Example **************** Command: _dimlinear Specify first extension line origin or <select object>: end of Specify second extension line origin: end of Specify dimension line location or [Mtext/Text/Angle/Horizontal/Vertical/Rotated]: t Enter dimension text <713 1/8>: kjahsgfjka <> P akjsgfjkahsgf Specify dimension line location or [Mtext/Text/Angle/Horizontal/Vertical/Rotated]: Dimension text = 713 1/8 Command: '*************** VB Examples ************ #1: Public Function HDimension(oAcadDoc As AcadDocument, opoint1 As Variant, oPoint2 As Variant, Optional oTextPoint As Variant, Optional dTextRotAngle As Double = 0) As AcadDimRotated Set HDimension = oAcadDoc.ModelSpace.AddDimRotated(opoint1, oPoint2, oTextPoint, dTextRotAngle) HDimension .TextOverride = "<> C.L." End Function #2: oAcadDoc.SendCommand ("_dimlinear" & vbCr & _ cAcadTransCoords.TransCoordsFromWorldToUCS(oAcadDoc, oPoints("p6"))(0) & "," & cAcadTransCoords.TransCoordsFromWorldToUCS(oAcadDoc, oPoints("p6"))(1) & "," & cAcadTransCoords.TransCoordsFromWorldToUCS(oAcadDoc, oPoints("p6"))(2) & vbCr & _ cAcadTransCoords.TransCoordsFromWorldToUCS(oAcadDoc, oPoints("p5"))(0) & "," & cAcadTransCoords.TransCoordsFromWorldToUCS(oAcadDoc, oPoints("p5"))(1) & "," & cAcadTransCoords.TransCoordsFromWorldToUCS(oAcadDoc, oPoints("p5"))(2) & vbCr & _ "H" & vbCr & "Text" & vbCr & "<> C.L. SHEATHING VALLEY" & vbCr & "0," & (-1.5 * Val(frmDormerTrussCalc.txtDormerTrussSpacing)) & ",0" & vbCr)


Log In